# File: tests/ADC/CMakeLists.txt

add_subdirectory(mocks)
add_subdirectory(fakes)
add_subdirectory(stubs)

# TEST_RUNNER
add_library(test_ADC
    test_ADC.cpp    
)

target_link_libraries(test_ADC
    ${CPPUTEST_LIBRARIES}
    #${CPPUTEST_LIBRARIES}/libCppUTest.a
    #${CPPUTEST_LIBRARIES}/libCppUTestExt.a
    ADC
    MockRegEdit
)

target_include_directories(test_ADC PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
    #Next comes the shared and non-module specific test depencencies.
    ${CMAKE_SOURCE_DIR}/tests/shared/mocks/
    ${CMAKE_SOURCE_DIR}/tests/shared/fakes/
    ${CMAKE_SOURCE_DIR}/tests/shared/stubs/

    ${CMAKE_SOURCE_DIR}/inc
)
